summaryrefslogtreecommitdiff
path: root/meta-google/recipes-google
diff options
context:
space:
mode:
authorjmbills <jason.m.bills@intel.com>2021-11-05 18:45:06 +0300
committerGitHub <noreply@github.com>2021-11-05 18:45:06 +0300
commit4dac5fcd49b5e2de1074f1363775ec0f19041072 (patch)
tree5aadf91080299b1583caed86a31da368dfcda2da /meta-google/recipes-google
parent0c9e31989c615598b5d042ffab385606660c93c0 (diff)
parent61f1ca1b31a9a1108e9e7f71e47fdc19beb0490b (diff)
downloadopenbmc-4dac5fcd49b5e2de1074f1363775ec0f19041072.tar.xz
Merge pull request #74 from Intel-BMC/update2021-0.771-0.77
Update
Diffstat (limited to 'meta-google/recipes-google')
-rwxr-xr-xmeta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh4
-rw-r--r--meta-google/recipes-google/ncsi/files/gbmc-ncsi-nft.sh.in3
2 files changed, 4 insertions, 3 deletions
diff --git a/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh b/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
index 459eca7e2..4119801b0 100755
--- a/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
+++ b/meta-google/recipes-google/host-power-ctrl/gpio-host-pwr/host_isoff.sh
@@ -15,7 +15,7 @@
source /usr/share/gpio-host-pwr/lib.sh || exit
-gpio_build_cache 10 "$HOST_GPIO_PGOOD" || return 255
-pgood="$(gpio_get_value "$HOST_GPIO_PGOOD")" || return 255
+gpio_build_cache 10 "$HOST_GPIO_PGOOD" || exit 255
+pgood="$(gpio_get_value "$HOST_GPIO_PGOOD")" || exit 255
echo "HOST_PGOOD=$pgood" >&2
(( pgood == 0 ))
diff --git a/meta-google/recipes-google/ncsi/files/gbmc-ncsi-nft.sh.in b/meta-google/recipes-google/ncsi/files/gbmc-ncsi-nft.sh.in
index 93d1a4ad2..d07b9e2f0 100644
--- a/meta-google/recipes-google/ncsi/files/gbmc-ncsi-nft.sh.in
+++ b/meta-google/recipes-google/ncsi/files/gbmc-ncsi-nft.sh.in
@@ -35,6 +35,7 @@ gbmc_ncsi_nft_update() {
fi
local ip6="$gbmc_ncsi_nft_lastip6"
+ local pfx=
if [ -n "$ip6" ]; then
contents+=" ip6 daddr $ip6/128 goto ncsi_legacy_input"$'\n'
@@ -52,7 +53,7 @@ gbmc_ncsi_nft_update() {
done
if (( ${#ip_bytes[@]} != 0 )); then
ip_bytes[8]=0xfd
- local pfx="$(ip_bytes_to_str ip_bytes)"
+ pfx="$(ip_bytes_to_str ip_bytes)"
contents+=" ip6 saddr != $pfx/72 ip6 daddr"
contents+=" $pfx/72 goto ncsi_gbmc_br_pub_input"$'\n'
fi